ompi/mca/bml/r2/bml_r2.h File Reference.TH "ompi/mca/bml/r2/bml_r2.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/bml/r2/bml_r2.h \- BML Management Layer (BML). 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/btl/btl.h'\fP
.br
\fC#include 'include/types.h'\fP
.br
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'mca/bml/bml.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_bml_base_module_recv_cb_fn_t\fP \fBmca_bml_r2_recv_reg_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_bml_r2_module_t\fP \fBmca_bml_r2_module_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBmca_bml_r2_recv_callback\fP (\fBmca_btl_base_module_t\fP *btl, mca_btl_base_tag_t tag, \fBmca_btl_base_descriptor_t\fP *des, void *cbdata)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_component_open\fP (void)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_component_close\fP (void)"
.br
.ti -1c
.RI "\fBmca_bml_base_module_t\fP * \fBmca_bml_r2_component_init\fP (int *priority, bool enable_progress_threads, bool enable_mpi_threads)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_progress\fP (void)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_add_procs\fP (size_t nprocs, struct ompi_proc_t **procs, struct \fBmca_bml_base_endpoint_t\fP **bml_endpoints, struct ompi_bitmap_t *reachable)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_del_procs\fP (size_t nprocs, struct ompi_proc_t **procs)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_register\fP (mca_btl_base_tag_t tag, \fBmca_bml_base_module_recv_cb_fn_t\fP cbfunc, void *data)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_finalize\fP (void)"
.br
.ti -1c
.RI "int \fBmca_bml_r2_component_fini\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBmca_bml_r2_module_t\fP \fBmca_bml_r2\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
BML Management Layer (BML). 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
